Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## groovy.util
[Java] Class ObjectGraphBuilder.DefaultRelationNameResolver

    java.lang.Object
      groovy.util.ObjectGraphBuilder.DefaultRelationNameResolver

All Implemented Interfaces:
  RelationNameResolver

    public static class ObjectGraphBuilder.DefaultRelationNameResolver

Default impl that returns parentName & childName accordingly.

Method Summary
`java.lang.String` | `resolveChildRelationName(java.lang.String parentName, java.lang.Object parent, java.lang.String childName, java.lang.Object child)`
`java.lang.String` | `resolveParentRelationName(java.lang.String parentName, java.lang.Object parent, java.lang.String childName, java.lang.Object child)` Follow the most conventional pattern, returns the parentName unchanged.

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Method Detail

### resolveChildRelationName

    public java.lang.String resolveChildRelationName(java.lang.String parentName, java.lang.Object parent, java.lang.String childName, java.lang.Object child)

### resolveParentRelationName

    public java.lang.String resolveParentRelationName(java.lang.String parentName, java.lang.Object parent, java.lang.String childName, java.lang.Object child)

  Follow the most conventional pattern, returns the parentName unchanged.

Groovy Documentation